import { fetchBase } from '@/api/doctor/doctorFetch'

//获取登录信息
export function getAuthInfo() {
    return fetchBase({ url: '/chronic-admin/v1/base-info/user/login' })
}

//查询居民信息
export function getChronicResidentsId(residentInfoId) {
    return fetchBase({
        url: `/chronic-admin/v1/chronic-residents-record/resident-info`,
        body: { 'residentInfoId': residentInfoId },
        loading: true
    })
}
//获取居民是否存在微信电话
export function getResidentWX(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-residents-record/query-resident-is-wx`, body: params, loading: true})
}

// 主键查询
export function fetchCurrencyById(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-visit-currency/record`, body: params, loading: true })
}

// 根据单位名称模糊查询单位信息
export function getUnitByName(orgName) {
    return fetchBase({ url: `/tumour-admin/v1/sys-user/org-by-name/${orgName}` })
}

// 拼音码查询药品信息
export function getDrug(code) {
    return fetchBase({ url: `/tumour-admin/v1/remote-system/drugs/${code}` })
}


// 根据单位id查询科室
export function getOfficeList(unitId) {
    return fetchBase({ url: `/tumour-admin/v1/sys-user/org-office/${unitId}` })
}

// 根据科室id查询医生
export function getOfficeDoctor(unitId, officeId) {
    return fetchBase({ url: `/tumour-admin/v1/sys-user/org-office-doctors/${unitId}/${officeId}` })
}

// 新增通用随访
export function addCurrency(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-visit-currency/save`, body: params, loading: true })
}

//修改通用随访
export function updateCurrency(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-visit-currency/update`, body: params, loading: true })
}

// 列表查询
export function fetchCurrencyList(params, loading) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-visit-currency/page`, body: params, loading })
}

//删除通用随访
export function delCurrencyById(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-visit-currency/delete`, body: params, loading: true })
}


//图片上传
export function upLoadMultifile(params) {
    return fetchBase({
        url: `/chronic-admin/v1/pictures-info/multifile`,
        body: params,
        loading: false,
        contentType: 'file'
    })
}

//短信重发
export function messageResend(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-visit-currency/resend-sms`, body: params, loading: true })
}



//慢病管理列表主键查询
export function getVisitManageVByUuId(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-visit-record/record-uuid`, body: params, loading: true })
}

//